For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
  • Testnet API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETOHLCV for a symbol
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Testnet API ReferenceMarkets

OHLCV for a symbol

GET
https://api.testnet.paradex.trade/v1/markets/klines
GET
/v1/markets/klines
$curl -X GET https://api.testnet.paradex.trade/v1/markets/klines?end_at=0&resolution=string&start_at=0&symbol=string \
>-H 'Accept: application/json'
Klines for a symbol
Was this page helpful?
Previous

List available markets summary

Next
Built with

Query parameters

end_atintegerRequired
end time for klines in milliseconds
price_kindenumOptional
Which price to use for the klines
Allowed values:
resolutionstringRequired

resolution in minutes: 1, 3, 5, 15, 30, 60

start_atintegerRequired
start time for klines in milliseconds
symbolstringRequired
Symbol of the market pair

Errors

400
Bad Request Error